% Minicurso: Metodos de Elementos Finitos para as Eqs de Maxwell
% Saulo P. Oliveira (UFPR), 2012
%
% graph_malha : visualiza malha usada na solucao

clf;
set(gca,'FontSize',20);

minx = min(coord(:,1)); maxx = max(coord(:,2));
miny = min(coord(:,2)); maxy = max(coord(:,1));
axis([minx,maxx,miny,maxy]);
hold on

for el = 1:num_ele
  xx = coord(IEN(:,el),1);
  yy = coord(IEN(:,el),2);
  xg = [xx(1),xx(2);xx(4),xx(3)];
  yg = [yy(1),yy(2);yy(4),yy(3)];
  mesh(xg,yg,0*xg); 
end

hold off
view(0,90);
colormap([0,0,0])
axis equal

% Incluir as linhas abaixo para representar o eixo (x,z)
%
%set(gca,'YDir','reverse');
%set(gca,'XAxisLocation','top');

% x=coord(:,1);y=coord(:,2); 
% for i = 1:num_vertices;if(fronteira(i)==3);plot(x(i),y(i),'ro');end;end